#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xf195ca97, "dsa_tag_drivers_register" },
	{ 0xe1ab8b2e, "__dev_kfree_skb_any" },
	{ 0x4485d91, "dsa_tag_drivers_unregister" },
	{ 0x20663de5, "dsa_port_vid_add" },
	{ 0xb7ab7b88, "dsa_port_vid_del" },
	{ 0x6fac703f, "br_vlan_get_pvid" },
	{ 0xbd77d11f, "br_vlan_get_info" },
	{ 0x841a512a, "skb_push" },
	{ 0x2a90312f, "_dev_err" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xaa230f8e, "pskb_expand_head" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0e602eb, "memmove" },
};

MODULE_INFO(depends, "dsa_core,bridge");


MODULE_INFO(srcversion, "68C878645295E445E2E6BB8");
